Retrieve Site status history

View as Markdown
Retrieve a specific Site status history User must have authorization role with `PROVIDER_ADMIN` or `TENANT_ADMIN` suffix. Access is granted if: - The Site is owned by the org's Infrastructure Provider - The org's Tenant has an Allocation for Site - The org's Tenant is privileged and has Account with Site's Provider

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
siteIdstringRequiredformat: "uuid"
ID of the Site

Query parameters

pageNumberintegerOptional
Page number for pagination query
pageSizeintegerOptional
Page size for pagination query
orderBystringOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
statusstring
State of the associated entity at a particular time
messagestring or null

Description of the state and cause/remedy in case of error

createddatetimeRead-only

Date/time when the associated entity assumed the status

updateddatetimeRead-only

Date/time when the associated entity was last observed with this status

Errors

403
Forbidden Error